Index: projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd
===================================================================
--- projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd (revision 138)
+++ projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd (revision 139)
@@ -2075,109 +2166,140 @@
 			<xsd:element name="densityGas" type="witsml:densityMeasure" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17881266">
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element densityGas.-->
+
 				<xsd:annotation>
 					<xsd:documentation>The density of the produced gas.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="flowRateOil" type="witsml:volumeFlowRateMeasureCubicMetresPerDay" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17700915">
+			<xsd:element name="flowRateOil" type="witsml:volumeFlowRateMeasureCubicMetresPerDay" minOccurs="1"
+				 maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17700915">
 				<!--PROFILE: Changed type from witsml:volumeFlowRateMeasure to witsml:volumeFlowRateMeasureCubicMetresPerDay for element flowRateOil.-->
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element flowRateOil.-->
+
 				<xsd:annotation>
 					<xsd:documentation>The maximum rate at which oil was produced.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="flowRateWater" type="witsml:volumeFlowRateMeasureCubicMetresPerDay" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17700765">
+			<xsd:element name="flowRateWater" type="witsml:volumeFlowRateMeasureCubicMetresPerDay" minOccurs="1"
+				 maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17700765">
 				<!--PROFILE: Changed type from witsml:volumeFlowRateMeasure to witsml:volumeFlowRateMeasureCubicMetresPerDay for element flowRateWater.-->
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element flowRateWater.-->
+
 				<xsd:annotation>
 					<xsd:documentation>The maximum rate at which water was produced.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="flowRateGas" type="witsml:volumeFlowRateMeasureMillionCubicMetresPerDay" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17700480">
+			<xsd:element name="flowRateGas" type="witsml:volumeFlowRateMeasureMillionCubicMetresPerDay" minOccurs="1"
+				 maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17700480">
 				<!--PROFILE: Changed type from witsml:volumeFlowRateMeasure to witsml:volumeFlowRateMeasureMillionCubicMetresPerDay for element flowRateGas.-->
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element flowRateGas.-->
+
 				<xsd:annotation>
 					<xsd:documentation>The maximum rate at which gas was produced.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="presShutIn" type="witsml:pressureMeasureMegaPascals" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17700360">
+			<xsd:element name="presShutIn" type="witsml:pressureMeasureMegaPascals" minOccurs="1" maxOccurs="1"
+				 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17700360">
 				<!--PROFILE: Changed type from witsml:pressureMeasure to witsml:pressureMeasureMegaPascals for element presShutIn.-->
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element presShutIn.-->
+
 				<xsd:annotation>
 					<xsd:documentation>The final shut in pressure.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="presFlowing" type="witsml:pressureMeasureMegaPascals" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17700645">
+			<xsd:element name="presFlowing" type="witsml:pressureMeasureMegaPascals" minOccurs="1" maxOccurs="1"
+				 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17700645">
 				<!--PROFILE: Changed type from witsml:pressureMeasure to witsml:pressureMeasureMegaPascals for element presFlowing.-->
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element presFlowing.-->
+
 				<xsd:annotation>
 					<xsd:documentation>The final flowing pressure.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="presBottom" type="witsml:pressureMeasureMegaPascals" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17700075">
+			<xsd:element name="presBottom" type="witsml:pressureMeasureMegaPascals" minOccurs="1" maxOccurs="1"
+				 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17700075">
 				<!--PROFILE: Changed type from witsml:pressureMeasure to witsml:pressureMeasureMegaPascals for element presBottom.-->
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element presBottom.-->
+
 				<xsd:annotation>
 					<xsd:documentation>The final bottom hole pressure.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="gasOilRatio" type="witsml:volumePerVolumeMeasureCubicMetresPerCubicMetre" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17700000">
+			<xsd:element name="gasOilRatio" type="witsml:volumePerVolumeMeasureCubicMetresPerCubicMetre" minOccurs="1"
+				 maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17700000">
 				<!--PROFILE: Changed type from witsml:volumePerVolumeMeasure to witsml:volumePerVolumeMeasureCubicMetresPerCubicMetre for element gasOilRatio.-->
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element gasOilRatio.-->
+
 				<xsd:annotation>
 					<xsd:documentation>The ratio of the volume of gas to the volume of oil.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="waterOilRatio" type="witsml:volumePerVolumeMeasureCubicMetresPerCubicMetre" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17700240">
+			<xsd:element name="waterOilRatio" type="witsml:volumePerVolumeMeasureCubicMetresPerCubicMetre"
+				 minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17700240">
 				<!--PROFILE: Changed type from witsml:volumePerVolumeMeasure to witsml:volumePerVolumeMeasureCubicMetresPerCubicMetre for element waterOilRatio.-->
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element waterOilRatio.-->
+
 				<xsd:annotation>
 					<xsd:documentation>The relative amount of water per amount of oil.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="chloride" type="witsml:massConcentrationMeasurePartPerMillion" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17699730">
+			<xsd:element name="chloride" type="witsml:massConcentrationMeasurePartPerMillion" minOccurs="1"
+				 maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17699730">
 				<!--PROFILE: Changed type from witsml:massConcentrationMeasure to witsml:massConcentrationMeasurePartPerMillion for element chloride.-->
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element chloride.-->
+
 				<xsd:annotation>
 					<xsd:documentation>The relative amount of chloride in the produced water.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="carbonDioxide" type="witsml:massConcentrationMeasurePartPerMillion" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17699610">
+			<xsd:element name="carbonDioxide" type="witsml:massConcentrationMeasurePartPerMillion" minOccurs="1"
+				 maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17699610">
 				<!--PROFILE: Changed type from witsml:massConcentrationMeasure to witsml:massConcentrationMeasurePartPerMillion for element carbonDioxide.-->
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element carbonDioxide.-->
+
 				<xsd:annotation>
 					<xsd:documentation>The relative amount of CO2 gas.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="hydrogenSulfide" type="witsml:massConcentrationMeasurePartPerMillion" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17699880">
+			<xsd:element name="hydrogenSulfide" type="witsml:massConcentrationMeasurePartPerMillion" minOccurs="1"
+				 maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17699880">
 				<!--PROFILE: Changed type from witsml:massConcentrationMeasure to witsml:massConcentrationMeasurePartPerMillion for element hydrogenSulfide.-->
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element hydrogenSulfide.-->
+
 				<xsd:annotation>
 					<xsd:documentation>The relative amount of H2S gas.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="volOilTotal" type="witsml:volumeMeasureCubicMetre" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17699280">
+			<xsd:element name="volOilTotal" type="witsml:volumeMeasureCubicMetre" minOccurs="1" maxOccurs="1"
+				 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17699280">
 				<!--PROFILE: Changed type from witsml:volumeMeasure to witsml:volumeMeasureCubicMetre for element volOilTotal.-->
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element volOilTotal.-->
+
 				<xsd:annotation>
 					<xsd:documentation>The total amount of oil produced. This includes oil that was disposed of (e.g., burned).</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="volGasTotal" type="witsml:volumeMeasureMillionCubicMetres" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17699400">
+			<xsd:element name="volGasTotal" type="witsml:volumeMeasureMillionCubicMetres" minOccurs="1" maxOccurs="1"
+				 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17699400">
 				<!--PROFILE: Changed type from witsml:volumeMeasure to witsml:volumeMeasureMillionCubicMetres for element volGasTotal.-->
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element volGasTotal.-->
+
 				<xsd:annotation>
 					<xsd:documentation>The total amount of gas produced. This includes gas that was disposed of (e.g., burned).</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="volWaterTotal" type="witsml:volumeMeasureCubicMetre" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17699565">
+			<xsd:element name="volWaterTotal" type="witsml:volumeMeasureCubicMetre" minOccurs="1" maxOccurs="1"
+				 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17699565">
 				<!--PROFILE: Changed type from witsml:volumeMeasure to witsml:volumeMeasureCubicMetre for element volWaterTotal.-->
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element volWaterTotal.-->
+
 				<xsd:annotation>
 					<xsd:documentation>The total amount of water produced. This includes water that was disposed of.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="volOilStored" type="witsml:volumeMeasureCubicMetre" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://projects.dnv.com/reference_data/RD4Browser/default.aspx?RDLDesignation=TOTAL OIL VOLUME STORED FROM WELL TEST - M3">
+			<xsd:element name="volOilStored" type="witsml:volumeMeasureCubicMetre" minOccurs="1" maxOccurs="1"
+				 sawsdl:modelReference="http://projects.dnv.com/reference_data/RD4Browser/default.aspx?RDLDesignation=TOTAL OIL VOLUME STORED FROM WELL TEST - M3">
 				<!--PROFILE: Changed type from witsml:volumeMeasure to witsml:volumeMeasureCubicMetre for element volOilStored.-->
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element volOilStored.-->
+
 				<xsd:annotation>
 					<xsd:documentation>The total amount of produced oil that was stored.</xsd:documentation>
@@ -2188,7 +2310,5 @@
 		<xsd:attribute name="uid" type="witsml:uidString" use="optional">
 			<xsd:annotation>
-				<xsd:documentation>The unique identifier of a container element. This attribute is generally required within the context of a WITSML server. There should be no
-					assumption as to the semantic content of this attribute. This should only be used with recurring container types (i.e., maxOccurs greater than one). The value is only
-					required to be unique within the context of the nearest recurring parent element.</xsd:documentation>
+				<xsd:documentation>The unique identifier of a container element. This attribute is generally required within the context of a WITSML server. There should be no					assumption as to the semantic content of this attribute. This should only be used with recurring container types (i.e., maxOccurs greater than one). The value is only					required to be unique within the context of the nearest recurring parent element.</xsd:documentation>
 			</xsd:annotation>
 		</xsd:attribute>
@@ -2196,5 +2316,4 @@
 	<!--UNUSED: Deleted type cs_extensionAny.-->
 	<!--UNUSED: Deleted type cs_extensionNameValue.-->
-
 	<!-- Added 07/02 - 2011 -->
 	<!-- Tubular information -->
@@ -2265,107 +2384,104 @@
 		<!-- Unused: deleted element attgrp_uid -->
 	</xsd:complexType>
-	
 	<xsd:complexType name="cs_stimJobStage">
-	<xsd:annotation>
-		<xsd:documentation>Job stage for a well stimulation treatment, where one or more stages are part     of a flow path, one or more flow paths are part of a treatment, and one or more      treatments are part of a job.</xsd:documentation>
-		<xsd:appinfo>Modified-in-version=1.4.1, By-issue=W-CR-010, Change=Added</xsd:appinfo>
-	</xsd:annotation>
-	<xsd:sequence>
-		<xsd:element name="kind" type="witsml:StimStageType" minOccurs="1" maxOccurs="1">
-			<xsd:annotation>
-				<xsd:documentation>The type of stage for the stimulation job.</xsd:documentation>
-			</xsd:annotation>
-		</xsd:element>
-		<!-- Profile: deleted element name. -->
-		<xsd:element name="description" type="witsml:descriptionString" minOccurs="0" maxOccurs="1">
-			<xsd:annotation>
-				<xsd:documentation>A short description of the stage.</xsd:documentation>
-			</xsd:annotation>
-		</xsd:element>
-		<!-- Profile: deleted element number. -->
-		<xsd:element name="dTimStart" type="witsml:timestamp" minOccurs="0" maxOccurs="1">
-			<xsd:annotation>
-				<xsd:documentation>Date time of start of this stimulation stage.</xsd:documentation>
-			</xsd:annotation>
-		</xsd:element>
-		<!-- Profile: deleted element dTimEnd.-->
-		<!-- Profile: deleted element pumpTime. -->
-		<!-- Profile: deleted element startRateSurfaceLiquid. -->
-		<!-- Profile: deleted element endRateSurfaceLiquid. -->
-		<!-- Profile: deleted element avgRateSurfaceLiquid. -->
-		<!-- Profile: deleted element startRateSurfaceCO2. -->
-		<!-- Profile: deleted element endRateSurfaceCO2. -->
-		<!-- Profile: deleted element avgRateSurfaceCO2. -->
-		<!-- Profile: deleted element startStdRateSurfaceN2. -->
-		<!-- Profile: deleted element endStdRateSurfaceN2. -->
-		<!-- Profile: deleted element avgStdRateSurfaceN2. -->
-		<!-- Profile: deleted element startPresSurface. -->
-		<!-- Profile: deleted element endPresSurface. -->
-		<!-- Profile: deleted element averagePresSurface. -->
-		<!-- Profile: deleted element startPumpRateBottomhole. -->
-		<!-- Profile: deleted element endPumpRateBottomhole. -->
-		<!-- Profile: deleted element avgPumpRateBottomhole. -->
-		<!-- Profile: deleted element startPresBottomhole. -->
-		<!-- Profile: deleted element endPresBottomhole. -->
-		<!-- Profile: deleted element averagePresBottomhole. -->
-		<!-- Profile: deleted element startProppantConcSurface. -->
-		<!-- Profile: deleted element endProppantConcSurface. -->
-		<!-- Profile: deleted element avgProppantConcSurface. -->
-		<!-- Profile: deleted element startProppantConcBottomhole. -->
-		<!-- Profile: deleted element endProppantConcBottomhole. -->
-		<!-- Profile: deleted element avgProppantConcBottomhole. -->
-		<!-- Profile: deleted element startFoamRateN2. -->
-		<!-- Profile: deleted element endFoamRateN2. -->
-		<!-- Profile: deleted element startFoamRateCO2. -->
-		<!-- Profile: deleted element endFoamRateCO2. -->
-		<!-- Profile: deleted element fluidVolBase. -->
-		<!-- Profile: deleted element fluidVolSlurry. -->
-		<!-- Profile: deleted element slurryRateBegin. -->
-		<!-- Profile: deleted element slurryRateEnd. -->
-		<!-- Profile: deleted element proppantMassWellHead. -->
-		<!-- Profile: deleted element proppantMass. -->
-		<!-- Profile: deleted element maxPres. -->
-		<!-- Profile: deleted element maxSlurryRate. -->
-		<!-- Profile: deleted element maxWellheadRate. -->
-		<!-- Profile: deleted element maxN2StdRate. -->
-		<!-- Profile: deleted element maxCO2LiquidRate. -->
-		<!-- Profile: deleted element maxPropConc. -->
-		<!-- Profile: deleted element maxSlurryPropConc. -->
-		<!-- Profile: deleted element avgPropConc. -->
-		<!-- Profile: deleted element avgSlurryPropConc. -->
-		<!-- Profile: deleted element avgTemperature. -->
-		<!-- Profile: deleted element avgInternalPhaseFraction. -->
-		<!-- Profile: deleted element avgBaseFluidQuality. -->
-		<!-- Profile: deleted element avgN2BaseFluidQuality. -->
-		<!-- Profile: deleted element avgCO2BaseFluidQuality. -->
-		<!-- Profile: deleted element avgHydraulicPower. -->
-		<!-- Profile: deleted element avgBaseFluidRate. -->
-		<!-- Profile: deleted element avgSlurryRate. -->
-		<!-- Profile: deleted element avgWellheadRate. -->
-		<!-- Profile: deleted element avgN2StdRate. -->
-		<!-- Profile: deleted element avgCO2Rate. -->
-		<!-- Profile: deleted element baseFluidVol. -->
-		<!-- Profile: deleted element slurryVol. -->
-		<!-- Profile: deleted element wellheadVol. -->
-		<!-- Profile: deleted element maxPmaxPacPres. -->
-		<!-- Profile: deleted element maxPmaxWeaklinkPres. -->
-		<!-- Profile: deleted element maxGelRate. -->
-		<!-- Profile: deleted element maxOilRate. -->
-		<!-- Profile: deleted element maxAcidRate. -->
-		<!-- Profile: deleted element avgGelRate. -->
-		<!-- Profile: deleted element avgOilRate. -->
-		<!-- Profile: deleted element avgAcidRate. -->
-		<!-- Profile: deleted element gelVolume. -->
-		<!-- Profile: deleted element oilVolume. -->
-		<!-- Profile: deleted element acidVolume. -->
-		<!-- Profile: deleted element baseFluidBypassVol. -->
-		<!-- Profile: deleted element frictionFactor. -->
-		<!-- Profile: deleted element stageFluid. -->
-		<!-- Profile: deleted element extensionNameValue. -->
-	</xsd:sequence>
-	<!-- Unused: deleted element attgrp_uid -->
-</xsd:complexType>
-
-	
+		<xsd:annotation>
+			<xsd:documentation>Job stage for a well stimulation treatment, where one or more stages are part     of a flow path, one or more flow paths are part of a treatment, and one or more      treatments are part of a job.</xsd:documentation>
+			<xsd:appinfo>Modified-in-version=1.4.1, By-issue=W-CR-010, Change=Added</xsd:appinfo>
+		</xsd:annotation>
+		<xsd:sequence>
+			<xsd:element name="kind" type="witsml:stimStageType" minOccurs="1" maxOccurs="1">
+				<xsd:annotation>
+					<xsd:documentation>The type of stage for the stimulation job.</xsd:documentation>
+				</xsd:annotation>
+			</xsd:element>
+			<!-- Profile: deleted element name. -->
+			<xsd:element name="description" type="witsml:descriptionString" minOccurs="0" maxOccurs="1">
+				<xsd:annotation>
+					<xsd:documentation>A short description of the stage.</xsd:documentation>
+				</xsd:annotation>
+			</xsd:element>
+			<!-- Profile: deleted element number. -->
+			<xsd:element name="dTimStart" type="witsml:timestamp" minOccurs="0" maxOccurs="1">
+				<xsd:annotation>
+					<xsd:documentation>Date time of start of this stimulation stage.</xsd:documentation>
+				</xsd:annotation>
+			</xsd:element>
+			<!-- Profile: deleted element dTimEnd.-->
+			<!-- Profile: deleted element pumpTime. -->
+			<!-- Profile: deleted element startRateSurfaceLiquid. -->
+			<!-- Profile: deleted element endRateSurfaceLiquid. -->
+			<!-- Profile: deleted element avgRateSurfaceLiquid. -->
+			<!-- Profile: deleted element startRateSurfaceCO2. -->
+			<!-- Profile: deleted element endRateSurfaceCO2. -->
+			<!-- Profile: deleted element avgRateSurfaceCO2. -->
+			<!-- Profile: deleted element startStdRateSurfaceN2. -->
+			<!-- Profile: deleted element endStdRateSurfaceN2. -->
+			<!-- Profile: deleted element avgStdRateSurfaceN2. -->
+			<!-- Profile: deleted element startPresSurface. -->
+			<!-- Profile: deleted element endPresSurface. -->
+			<!-- Profile: deleted element averagePresSurface. -->
+			<!-- Profile: deleted element startPumpRateBottomhole. -->
+			<!-- Profile: deleted element endPumpRateBottomhole. -->
+			<!-- Profile: deleted element avgPumpRateBottomhole. -->
+			<!-- Profile: deleted element startPresBottomhole. -->
+			<!-- Profile: deleted element endPresBottomhole. -->
+			<!-- Profile: deleted element averagePresBottomhole. -->
+			<!-- Profile: deleted element startProppantConcSurface. -->
+			<!-- Profile: deleted element endProppantConcSurface. -->
+			<!-- Profile: deleted element avgProppantConcSurface. -->
+			<!-- Profile: deleted element startProppantConcBottomhole. -->
+			<!-- Profile: deleted element endProppantConcBottomhole. -->
+			<!-- Profile: deleted element avgProppantConcBottomhole. -->
+			<!-- Profile: deleted element startFoamRateN2. -->
+			<!-- Profile: deleted element endFoamRateN2. -->
+			<!-- Profile: deleted element startFoamRateCO2. -->
+			<!-- Profile: deleted element endFoamRateCO2. -->
+			<!-- Profile: deleted element fluidVolBase. -->
+			<!-- Profile: deleted element fluidVolSlurry. -->
+			<!-- Profile: deleted element slurryRateBegin. -->
+			<!-- Profile: deleted element slurryRateEnd. -->
+			<!-- Profile: deleted element proppantMassWellHead. -->
+			<!-- Profile: deleted element proppantMass. -->
+			<!-- Profile: deleted element maxPres. -->
+			<!-- Profile: deleted element maxSlurryRate. -->
+			<!-- Profile: deleted element maxWellheadRate. -->
+			<!-- Profile: deleted element maxN2StdRate. -->
+			<!-- Profile: deleted element maxCO2LiquidRate. -->
+			<!-- Profile: deleted element maxPropConc. -->
+			<!-- Profile: deleted element maxSlurryPropConc. -->
+			<!-- Profile: deleted element avgPropConc. -->
+			<!-- Profile: deleted element avgSlurryPropConc. -->
+			<!-- Profile: deleted element avgTemperature. -->
+			<!-- Profile: deleted element avgInternalPhaseFraction. -->
+			<!-- Profile: deleted element avgBaseFluidQuality. -->
+			<!-- Profile: deleted element avgN2BaseFluidQuality. -->
+			<!-- Profile: deleted element avgCO2BaseFluidQuality. -->
+			<!-- Profile: deleted element avgHydraulicPower. -->
+			<!-- Profile: deleted element avgBaseFluidRate. -->
+			<!-- Profile: deleted element avgSlurryRate. -->
+			<!-- Profile: deleted element avgWellheadRate. -->
+			<!-- Profile: deleted element avgN2StdRate. -->
+			<!-- Profile: deleted element avgCO2Rate. -->
+			<!-- Profile: deleted element baseFluidVol. -->
+			<!-- Profile: deleted element slurryVol. -->
+			<!-- Profile: deleted element wellheadVol. -->
+			<!-- Profile: deleted element maxPmaxPacPres. -->
+			<!-- Profile: deleted element maxPmaxWeaklinkPres. -->
+			<!-- Profile: deleted element maxGelRate. -->
+			<!-- Profile: deleted element maxOilRate. -->
+			<!-- Profile: deleted element maxAcidRate. -->
+			<!-- Profile: deleted element avgGelRate. -->
+			<!-- Profile: deleted element avgOilRate. -->
+			<!-- Profile: deleted element avgAcidRate. -->
+			<!-- Profile: deleted element gelVolume. -->
+			<!-- Profile: deleted element oilVolume. -->
+			<!-- Profile: deleted element acidVolume. -->
+			<!-- Profile: deleted element baseFluidBypassVol. -->
+			<!-- Profile: deleted element frictionFactor. -->
+			<!-- Profile: deleted element stageFluid. -->
+			<!-- Profile: deleted element extensionNameValue. -->
+		</xsd:sequence>
+		<!-- Unused: deleted element attgrp_uid -->
+	</xsd:complexType>
 	<!-- Tubular types -->
 	<xsd:simpleType name="tubularTypes">
@@ -2391,7 +2507,6 @@
 		</xsd:restriction>
 	</xsd:simpleType>
-
 	<!-- Casing type -->
-	<xsd:simpleType name="StimStageType">
+	<xsd:simpleType name="stimStageType">
 		<xsd:annotation>
 			<xsd:documentation>The type of casing, used to determant which type of casing is used.</xsd:documentation>
@@ -2416,5 +2531,4 @@
 	</xsd:simpleType>
 	<!-- END Added 07/02 - 2011 -->
-
 	<xsd:complexType name="cs_fluid">
 		<xsd:annotation>
@@ -2424,4 +2538,5 @@
 			<xsd:element name="type" type="witsml:str32" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17684695">
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element type.-->
+
 				<xsd:annotation>
 					<xsd:documentation>Description for the type of fluid.</xsd:documentation>
@@ -2432,4 +2547,5 @@
 			<xsd:element name="dTim" type="witsml:timestamp" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17683990">
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element dTim.-->
+
 				<xsd:annotation>
 					<xsd:documentation>The time when fluid readings were recorded.</xsd:documentation>
@@ -2438,4 +2554,5 @@
 			<xsd:element name="md" type="witsml:measuredDepthCoord" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17839324">
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element md.-->
+
 				<xsd:annotation>
 					<xsd:documentation>The measured depth where the fluid readings were recorded.</xsd:documentation>
@@ -2449,7 +2566,9 @@
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="presBopRating" type="witsml:pressureMeasureBar" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17686740">
+			<xsd:element name="presBopRating" type="witsml:pressureMeasureBar" minOccurs="1" maxOccurs="1"
+				 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17686740">
 				<!--PROFILE: Changed type from witsml:pressureMeasure to witsml:pressureMeasureBar for element presBopRating.-->
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element presBopRating.-->
+
 				<xsd:annotation>
 					<xsd:documentation>Maximum pressure rating of the blow out preventer.</xsd:documentation>
@@ -2459,4 +2578,5 @@
 			<xsd:element name="mudClass" type="witsml:MudClass" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17684065">
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element mudClass.-->
+
 				<xsd:annotation>
 					<xsd:documentation>The class of the drilling fluid.</xsd:documentation>
@@ -2466,4 +2586,5 @@
 			<xsd:element name="density" type="witsml:densityMeasure" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17659935">
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element density.-->
+
 				<xsd:annotation>
 					<xsd:documentation>Fluid density.</xsd:documentation>
@@ -2474,4 +2595,5 @@
 			<xsd:element name="pv" type="witsml:dynamicViscosityMeasure" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17684275">
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element pv.-->
+
 				<xsd:annotation>
 					<xsd:documentation>Plastic viscosity.</xsd:documentation>
@@ -2480,4 +2602,5 @@
 			<xsd:element name="yp" type="witsml:pressureMeasure" minOccurs="0" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17684395">
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element yp.-->
+
 				<xsd:annotation>
 					<xsd:documentation>Yield point (Bingham and Herschel Bulkley models).</xsd:documentation>
@@ -2533,7 +2656,5 @@
 		<xsd:attribute name="uid" type="witsml:uidString" use="optional">
 			<xsd:annotation>
-				<xsd:documentation>The unique identifier of a container element. This attribute is generally required within the context of a WITSML server. There should be no
-					assumption as to the semantic content of this attribute. This should only be used with recurring container types (i.e., maxOccurs greater than one). The value is only
-					required to be unique within the context of the nearest recurring parent element.</xsd:documentation>
+				<xsd:documentation>The unique identifier of a container element. This attribute is generally required within the context of a WITSML server. There should be no					assumption as to the semantic content of this attribute. This should only be used with recurring container types (i.e., maxOccurs greater than one). The value is only					required to be unique within the context of the nearest recurring parent element.</xsd:documentation>
 			</xsd:annotation>
 		</xsd:attribute>
@@ -2541,6 +2662,5 @@
 	<xsd:complexType name="cs_geodeticModel">
 		<xsd:annotation>
-			<xsd:documentation>WITSML - Geodetic Model Component Schema. All elements except nameCRS have been deprecated. Either use a well known name of a CRS or use the wellCRS
-				reference to a gmlCoordinateReferenceSystem.</xsd:documentation>
+			<xsd:documentation>WITSML - Geodetic Model Component Schema. All elements except nameCRS have been deprecated. Either use a well known name of a CRS or use the wellCRS				reference to a gmlCoordinateReferenceSystem.</xsd:documentation>
 			<xsd:appinfo>Modified-in-version=1.4.0, By-issue=1.3-48, Change=Modified-description</xsd:appinfo>
 		</xsd:annotation>
@@ -2548,14 +2668,10 @@
 			<xsd:element name="nameCRS" type="witsml:wellKnownNameStruct" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
-					<xsd:documentation>The name of the coordinate reference system in a particular naming system. An optional short name (code) can also be specified. Specifying a well
-						known system is highly desired. An example would be to specify a name of 'ED50' with a code of '4230' in the 'EPSG' naming system. Note that specifying a name in
-						the EPSG naming system is asserting that the parameters in the EPSG database are appropriate for this CRS. This is also true for any other naming system. If in
-						doubt, contact your local geodesist.</xsd:documentation>
+					<xsd:documentation>The name of the coordinate reference system in a particular naming system. An optional short name (code) can also be specified. Specifying a well						known system is highly desired. An example would be to specify a name of 'ED50' with a code of '4230' in the 'EPSG' naming system. Note that specifying a name in						the EPSG naming system is asserting that the parameters in the EPSG database are appropriate for this CRS. This is also true for any other naming system. If in						doubt, contact your local geodesist.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
 			<xsd:element name="geodeticDatumCode" type="witsml:GeodeticDatum" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
-					<xsd:documentation>DEPRECATED. Geodetic datum code. This defines a system in the Geoshare naming system and should probably not be used with
-						CRSName.</xsd:documentation>
+					<xsd:documentation>DEPRECATED. Geodetic datum code. This defines a system in the Geoshare naming system and should probably not be used with						CRSName.</xsd:documentation>
 					<xsd:appinfo>Modified-in-version=1.4.0, By-issue=1.3-48, Change=Deprecated</xsd:appinfo>
 				</xsd:annotation>
